Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Attributes | List of all members
agora::rtc::RemoteVideoStats Struct Reference

`#include <IAgoraRtcEngine.h>`

## Public Attributes
uid_t | uid
int delay | __deprecated
int | e2eDelay
int | width
int | height
int | receivedBitrate
int | decoderInputFrameRate
int | decoderOutputFrameRate
int | rendererOutputFrameRate
int | frameLossRate
int | packetLossRate
VIDEO_STREAM_TYPE | rxStreamType
int | totalFrozenTime
int | frozenRate
int | avSyncTimeMs
int | totalActiveTime
int | publishDuration
int | mosValue
unsigned int | rxVideoBytes

## Detailed Description

The statistics of the remote video stream.

## Member Data Documentation

## ◆ uid

uid_t agora::rtc::RemoteVideoStats::uid

ID of the remote user sending the video stream.

## ◆ __deprecated

int delay agora::rtc::RemoteVideoStats::__deprecated

Deprecated
  Time delay (ms).

In scenarios where audio and video is synchronized, you can use the value of `networkTransportDelay` and `jitterBufferDelay` in `RemoteAudioStats` to know the delay statistics of the remote video.

## ◆ e2eDelay

int agora::rtc::RemoteVideoStats::e2eDelay

End-to-end delay from video capturer to video renderer. Hardware capture or render delay is excluded.

## ◆ width

int agora::rtc::RemoteVideoStats::width

The width (pixels) of the video stream.

## ◆ height

int agora::rtc::RemoteVideoStats::height

The height (pixels) of the video stream.

## ◆ receivedBitrate

int agora::rtc::RemoteVideoStats::receivedBitrate

Bitrate (Kbps) received since the last count.

## ◆ decoderInputFrameRate

int agora::rtc::RemoteVideoStats::decoderInputFrameRate

The decoder input frame rate (fps) of the remote video.

## ◆ decoderOutputFrameRate

int agora::rtc::RemoteVideoStats::decoderOutputFrameRate

The decoder output frame rate (fps) of the remote video.

## ◆ rendererOutputFrameRate

int agora::rtc::RemoteVideoStats::rendererOutputFrameRate

The render output frame rate (fps) of the remote video.

## ◆ frameLossRate

int agora::rtc::RemoteVideoStats::frameLossRate

The video frame loss rate (%) of the remote video stream in the reported interval.

## ◆ packetLossRate

int agora::rtc::RemoteVideoStats::packetLossRate

Packet loss rate (%) of the remote video stream after using the anti-packet-loss method.

## ◆ rxStreamType

VIDEO_STREAM_TYPE agora::rtc::RemoteVideoStats::rxStreamType

The type of the remote video stream: VIDEO_STREAM_TYPE.

## ◆ totalFrozenTime

int agora::rtc::RemoteVideoStats::totalFrozenTime

The total freeze time (ms) of the remote video stream after the remote user joins the channel. In a video session where the frame rate is set to no less than 5 fps, video freeze occurs when the time interval between two adjacent renderable video frames is more than 500 ms.

## ◆ frozenRate

int agora::rtc::RemoteVideoStats::frozenRate

The total video freeze time as a percentage (%) of the total time when the video is available.

## ◆ avSyncTimeMs

int agora::rtc::RemoteVideoStats::avSyncTimeMs

The offset (ms) between audio and video stream. A positive value indicates the audio leads the video, and a negative value indicates the audio lags the video.

## ◆ totalActiveTime

int agora::rtc::RemoteVideoStats::totalActiveTime

The total time (ms) when the remote user neither stops sending the audio stream nor disables the audio module after joining the channel.

## ◆ publishDuration

int agora::rtc::RemoteVideoStats::publishDuration

The total publish duration (ms) of the remote audio stream.

## ◆ mosValue

int agora::rtc::RemoteVideoStats::mosValue

The quality of the remote video stream in the reported interval. The quality is determined by the Agora real-time video MOS (Mean Opinion Score) measurement method. The return value range is [0, 500]. Dividing the return value by 100 gets the MOS score, which ranges from 0 to 5. The higher the score, the better the video quality.

Note
  For textured video data, this parameter always returns 0.

## ◆ rxVideoBytes

unsigned int agora::rtc::RemoteVideoStats::rxVideoBytes

The total number of video bytes received (bytes), inluding the FEC bytes, represented by an aggregate value.